
QGIS Application - Bug report #14223

crash when adding multiple file from Browser Panel

2016-02-03 05:01 AM - Antal Kosza

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22221

Description

Qgis master crash, when adding multiple files, vector or raster, from the Browser Panel with Add Selected Layers.

The error message:

Program received signal SIGSEGV, Segmentation fault.

QSortFilterProxyModelPrivate::proxy_to_source (this=0x6a04980, proxy_index=...) at itemviews/qsortfilterproxymodel.cpp:362

362    itemviews/qsortfilterproxymodel.cpp: No such a file or directory.

Versions 2.8.6 and 2.12.3 are not affected.

Associated revisions

Revision 0796df00 - 2016-02-04 06:20 AM - Nyall Dawson

Fix crash with "add selected layers" from browser (fix #14223)

History

#1 - 2016-02-03 03:51 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2016-02-03 09:23 PM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"0796df00fb912caad16afc700635b385b39a88cd".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
